[arch-commits] Commit in flac/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri May 29 20:24:17 EDT 2009


    Date: Friday, May 29, 2009 @ 20:24:17
  Author: jgc
Revision: 40696

Use srcdir/pkgdir, replace ../ with $srcdir/.

Modified:
  flac/trunk/PKGBUILD

----------+
 PKGBUILD |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-30 00:09:14 UTC (rev 40695)
+++ PKGBUILD	2009-05-30 00:24:17 UTC (rev 40696)
@@ -16,14 +16,13 @@
 md5sums=('153c8b15a54da428d1f0fadc756c22c7' 'b9d245422bbc547b18a72897366bea77')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver || return 1
-  patch -p1 < ../flac-1.2.1-gcc-4.3-includes.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/flac-1.2.1-gcc-4.3-includes.patch" || return 1
   ./configure --prefix=/usr --enable-shared --disable-sse \
     --disable-rpath --with-pic || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
   # install license
-  install -Dm0644 $startdir/src/$pkgname-$pkgver/COPYING.Xiph \
-                  $startdir/pkg/usr/share/licenses/$pkgname/COPYING.Xiph
+  install -Dm0644 COPYING.Xiph "${pkgdir}/usr/share/licenses/${pkgname}/COPYING.Xiph" || return 1
 }



More information about the arch-commits mailing list